Language

Query Reversal API Status

You can query the status of a Reversal Request by querying the Reversal Request by its ID. If the Reversal Request has been processed and a Reversal Bulk Payment exists for the Reversal, it will be included in the payload of the Reversal Result in addition to the original Reversal Request. If there is no Reversal Bulk Payment null will be assigned to the object.

Query Parameters

ParameterRequiredTypeDescription
IDYesStringThe reference / ID of the Reversal to retrieve

The request above results to the following JSON payload when a Reversal Result exists

GET https://sandbox.kopokopo.com/api/v2/reversals/d79995cd-0111-e511-80da-0aa34a9b2388
Accept: application/json
Authorization: Bearer 0Sn0W6kzNicvoWhDbQcVSKLRUpGjIdlPSEYyrHqrDDoRnQwE7Q

{
  "data": {
    "id": "3a5ed056-988d-4ea6-824b-67f523939b92",
    "type": "reversals",
    "attributes": {
      "status": "Scheduled",
      "created_at": "2025-10-22T14:53:55.930+03:00",
      "transaction_reference": "20251016125940",
      "reason": "Testing Reversals",
      "errors": null,
      "metadata": {
        "name": "Test"
      },
      "_links": {
        "callback_url": "https://your.callback.url.com/",
        "self": "https://sandbox.kopokopo.com/api/v2/reversals/3a5ed056-988d-4ea6-824b-67f523939b92"
      }
    }
  }
}
#  Using K2Connect - https://github.com/kopokopo/k2-connect-ruby (Recommended)
k2_reversal = K2ConnectRuby::K2Entity::Reversal.new("your_access_token")
location_url = "https://sandbox.kopokopo.com/api/v2/reversals/f6d21ac6-0403-4979-9657-6cfd534f74d9"

k2_reversal.query_resource(location_url)
const ReversalService = K2.ReversalService

const reversalOpts = {
  location: 'https://sandbox.kopokopo.com/api/v2/reversals/cc438b3e-ecf0-4600-b9cc-edba32ae7019',
  accessToken: 'myRand0mAcc3ssT0k3n'
}

ReversalService.getStatus(reversalOpts)
#  Using Kopo Kopo Connect - https://github.com/kopokopo/k2-connect-python (Recommended)
import k2connect

reversal_service = k2connect.Reversals(access_token=access_token)

request_body = {
  "reversal-reference": "247b1bd8-f5a0-4b71-a898-f62f67b8ae1c"
}

reversal_resource = reversal_service.get_status(request_body)
//  Using Kopo Kopo Connect - https://github.com/kopokopo/k2-connect-php (Recommended)
$reversalService = $K2->ReversalService();

$statusOptions = [
  "location" => "https://sandbox.kopokopo.com/api/v2/reversals/3de7b55a-61b9-4426-9c84-6fdcb34c191e",
  "accessToken" => "myRand0mAcc3ssT0k3n",
];

$response = $reversalService->getStatus($statusOptions);
print_r($response);
// Not Supported
// This feature is not currently available in the Flutter SDK.
// Please use one of the other SDKs (PHP, Ruby, Python, NodeJs) or the REST API.